#ifndef __JABYENGINE_INTERNAL_SIMPLE_READ_HPP__
#define __JABYENGINE_INTERNAL_SIMPLE_READ_HPP__
#include <PSX/File/Processor/File_Processor.hpp>

namespace FileProcessor {
    template<typename T>
    static size_t simple_read(T& dst, State::Configuration& config) {
        static constexpr size_t UINT32_SIZE = (sizeof(T)/sizeof(uint32_t));

        dst              = *reinterpret_cast<const T*>(config.data_adr);
        config.data_adr += UINT32_SIZE;

        return UINT32_SIZE;
        static_assert((UINT32_SIZE*sizeof(uint32_t)) == sizeof(T));
    }
}

#endif // !__JABYENGINE_INTERNAL_SIMPLE_READ_HPP__